diff --git a/configs/at91rm9200ek_defconfig b/configs/at91rm9200ek_defconfig
index 2aaf87904562..a990360794f4 100644
--- a/configs/at91rm9200ek_defconfig
+++ b/configs/at91rm9200ek_defconfig
@@ -29,6 +29,7 @@ CONFIG_FLASH_CFI_DRIVER=y
 CONFIG_SYS_FLASH_PROTECTION=y
 CONFIG_SYS_FLASH_CFI=y
 CONFIG_MII=y
+CONFIG_ATMEL_USART=y
 CONFIG_USB=y
 CONFIG_USB_STORAGE=y
 CONFIG_USB_KEYBOARD=y
diff --git a/configs/at91rm9200ek_ram_defconfig b/configs/at91rm9200ek_ram_defconfig
index 9d2fc473430b..143346158b47 100644
--- a/configs/at91rm9200ek_ram_defconfig
+++ b/configs/at91rm9200ek_ram_defconfig
@@ -30,6 +30,7 @@ CONFIG_FLASH_CFI_DRIVER=y
 CONFIG_SYS_FLASH_PROTECTION=y
 CONFIG_SYS_FLASH_CFI=y
 CONFIG_MII=y
+CONFIG_ATMEL_USART=y
 CONFIG_USB=y
 CONFIG_USB_STORAGE=y
 CONFIG_USB_KEYBOARD=y
diff --git a/configs/gurnard_defconfig b/configs/gurnard_defconfig
index a679c0f6700b..5e0d6f7c2329 100644
--- a/configs/gurnard_defconfig
+++ b/configs/gurnard_defconfig
@@ -39,6 +39,7 @@ CONFIG_MTD_RAW_NAND=y
 CONFIG_NAND_ATMEL=y
 CONFIG_ATMEL_NAND_HWECC=y
 CONFIG_PHYLIB=y
+CONFIG_ATMEL_USART=y
 CONFIG_TIMER=y
 CONFIG_ATMEL_PIT_TIMER=y
 CONFIG_USB=y
diff --git a/configs/picosam9g45_defconfig b/configs/picosam9g45_defconfig
index 2921f2dfd4f7..03783a2af067 100644
--- a/configs/picosam9g45_defconfig
+++ b/configs/picosam9g45_defconfig
@@ -40,6 +40,7 @@ CONFIG_SYS_RELOC_GD_ENV_ADDR=y
 CONFIG_DM=y
 CONFIG_SPL_DM=y
 CONFIG_AT91_GPIO=y
+CONFIG_ATMEL_USART=y
 CONFIG_USB=y
 CONFIG_USB_EHCI_HCD=y
 CONFIG_USB_STORAGE=y
diff --git a/configs/smartweb_defconfig b/configs/smartweb_defconfig
index 4545c7075b3f..e7edb01c41d9 100644
--- a/configs/smartweb_defconfig
+++ b/configs/smartweb_defconfig
@@ -56,6 +56,7 @@ CONFIG_MTD_RAW_NAND=y
 # CONFIG_SYS_NAND_USE_FLASH_BBT is not set
 CONFIG_NAND_ATMEL=y
 CONFIG_PHYLIB=y
+CONFIG_ATMEL_USART=y
 CONFIG_USB=y
 CONFIG_DM_USB=y
 CONFIG_USB_GADGET=y
diff --git a/configs/snapper9260_defconfig b/configs/snapper9260_defconfig
index 9e44395f03f0..fa4697989b85 100644
--- a/configs/snapper9260_defconfig
+++ b/configs/snapper9260_defconfig
@@ -37,5 +37,6 @@ CONFIG_MTD=y
 CONFIG_MTD_RAW_NAND=y
 # CONFIG_SYS_NAND_USE_FLASH_BBT is not set
 CONFIG_NAND_ATMEL=y
+CONFIG_ATMEL_USART=y
 CONFIG_USB=y
 CONFIG_USB_STORAGE=y
diff --git a/configs/snapper9g20_defconfig b/configs/snapper9g20_defconfig
index e1c5c2ef4c1f..abe033373459 100644
--- a/configs/snapper9g20_defconfig
+++ b/configs/snapper9g20_defconfig
@@ -36,5 +36,6 @@ CONFIG_MTD=y
 CONFIG_MTD_RAW_NAND=y
 # CONFIG_SYS_NAND_USE_FLASH_BBT is not set
 CONFIG_NAND_ATMEL=y
+CONFIG_ATMEL_USART=y
 CONFIG_USB=y
 CONFIG_USB_STORAGE=y
diff --git a/configs/vinco_defconfig b/configs/vinco_defconfig
index 8ca7556772b8..d4852eafe0d4 100644
--- a/configs/vinco_defconfig
+++ b/configs/vinco_defconfig
@@ -38,6 +38,7 @@ CONFIG_SF_DEFAULT_MODE=0
 CONFIG_SF_DEFAULT_SPEED=50000000
 CONFIG_PHY_SMSC=y
 CONFIG_ETH_DESIGNWARE=y
+CONFIG_ATMEL_USART=y
 CONFIG_USB=y
 CONFIG_USB_EHCI_HCD=y
 CONFIG_USB_STORAGE=y
diff --git a/configs/wb45n_defconfig b/configs/wb45n_defconfig
index d770e007a655..ef069a672cc2 100644
--- a/configs/wb45n_defconfig
+++ b/configs/wb45n_defconfig
@@ -40,6 +40,7 @@ CONFIG_MTD_RAW_NAND=y
 CONFIG_NAND_ATMEL=y
 CONFIG_PMECC_CAP=4
 CONFIG_SPL_GENERATE_ATMEL_PMECC_HEADER=y
+CONFIG_ATMEL_USART=y
 CONFIG_LZMA=y
 CONFIG_LZO=y
 CONFIG_OF_LIBFDT=y
diff --git a/configs/wb50n_defconfig b/configs/wb50n_defconfig
index e764c303d069..1b444f07529d 100644
--- a/configs/wb50n_defconfig
+++ b/configs/wb50n_defconfig
@@ -43,5 +43,6 @@ CONFIG_SPL_GENERATE_ATMEL_PMECC_HEADER=y
 CONFIG_PHYLIB=y
 CONFIG_PHY_MICREL=y
 CONFIG_PHY_MICREL_KSZ90X1=y
+CONFIG_ATMEL_USART=y
 CONFIG_LZMA=y
 CONFIG_OF_LIBFDT=y
diff --git a/include/configs/at91rm9200ek.h b/include/configs/at91rm9200ek.h
index 378f9dc48be4..5e1e59074758 100644
--- a/include/configs/at91rm9200ek.h
+++ b/include/configs/at91rm9200ek.h
@@ -96,7 +96,6 @@
  * CONFIG_DBGU is DBGU unit on J10
  * CONFIG_USART1 is USART1 on J14
  */
-#define CONFIG_ATMEL_USART
 #define CONFIG_USART_BASE	ATMEL_BASE_DBGU
 #define CONFIG_USART_ID		0/* ignored in arm */
 
diff --git a/include/configs/picosam9g45.h b/include/configs/picosam9g45.h
index 94d9111cbaae..3eb70d5e7821 100644
--- a/include/configs/picosam9g45.h
+++ b/include/configs/picosam9g45.h
@@ -31,7 +31,6 @@
 #define CONFIG_AT91_GPIO_PULLUP	1	/* keep pullups on peripheral pins */
 
 /* serial console */
-#define CONFIG_ATMEL_USART
 #define CONFIG_USART_BASE		ATMEL_BASE_DBGU
 #define	CONFIG_USART_ID			ATMEL_ID_SYS
 
diff --git a/include/configs/smartweb.h b/include/configs/smartweb.h
index 8c964087131d..9498513f76f1 100644
--- a/include/configs/smartweb.h
+++ b/include/configs/smartweb.h
@@ -88,7 +88,6 @@
 #define CONFIG_AT91_GPIO_PULLUP	1	/* keep pullups on peripheral pins */
 
 /* serial console */
-#define CONFIG_ATMEL_USART
 #define CONFIG_USART_BASE		ATMEL_BASE_DBGU
 #define CONFIG_USART_ID			ATMEL_ID_SYS
 
diff --git a/include/configs/snapper9260.h b/include/configs/snapper9260.h
index 32dd544a6c75..cbef61877e28 100644
--- a/include/configs/snapper9260.h
+++ b/include/configs/snapper9260.h
@@ -68,7 +68,6 @@
 #define CONFIG_SYS_I2C_PCA953X_WIDTH	{ {0x28, 16} }
 
 /* UARTs/Serial console */
-#define CONFIG_ATMEL_USART
 #ifndef CONFIG_DM_SERIAL
 #define CONFIG_USART_BASE		ATMEL_BASE_DBGU
 #define CONFIG_USART_ID			ATMEL_ID_SYS
diff --git a/include/configs/snapper9g45.h b/include/configs/snapper9g45.h
index db4fd9be247f..24bbea7d03b5 100644
--- a/include/configs/snapper9g45.h
+++ b/include/configs/snapper9g45.h
@@ -63,7 +63,6 @@
 #define CONFIG_AT91_GPIO_PULLUP		1
 
 /* UARTs/Serial console */
-#define CONFIG_ATMEL_USART
 
 /* Boot options */
 #define CONFIG_SYS_LOAD_ADDR		0x23000000
diff --git a/include/configs/vinco.h b/include/configs/vinco.h
index 83ec78dc4315..496c228b58ea 100644
--- a/include/configs/vinco.h
+++ b/include/configs/vinco.h
@@ -17,7 +17,6 @@
 /* The value in the common file is too far away for the VInCo platform */
 
 /* serial console */
-#define CONFIG_ATMEL_USART
 #define CONFIG_USART_BASE		0xfc00c000
 #define CONFIG_USART_ID			30
 
diff --git a/include/configs/wb45n.h b/include/configs/wb45n.h
index f13ad112f793..8b333de8cffd 100644
--- a/include/configs/wb45n.h
+++ b/include/configs/wb45n.h
@@ -22,7 +22,6 @@
 #define CONFIG_ATMEL_LEGACY	/* required until (g)pio is fixed */
 
 /* serial console */
-#define CONFIG_ATMEL_USART
 #define CONFIG_USART_BASE   ATMEL_BASE_DBGU
 #define CONFIG_USART_ID     ATMEL_ID_SYS
 
diff --git a/include/configs/wb50n.h b/include/configs/wb50n.h
index ffcc9877eddb..c2112763a2bb 100644
--- a/include/configs/wb50n.h
+++ b/include/configs/wb50n.h
@@ -21,7 +21,6 @@
 #endif
 
 /* serial console */
-#define CONFIG_ATMEL_USART
 #define CONFIG_USART_BASE       ATMEL_BASE_DBGU
 #define CONFIG_USART_ID         ATMEL_ID_DBGU
 