diff --git a/configs/grpeach_defconfig b/configs/grpeach_defconfig
index 417938a512ed..c4a2b449d676 100644
--- a/configs/grpeach_defconfig
+++ b/configs/grpeach_defconfig
@@ -9,6 +9,8 @@ CONFIG_DM_GPIO=y
 CONFIG_RZA1=y
 CONFIG_NR_DRAM_BANKS=1
 CONFIG_BOOTDELAY=3
+CONFIG_USE_BOOTARGS=y
+CONFIG_BOOTARGS="ignore_loglevel"
 # CONFIG_DISPLAY_CPUINFO is not set
 CONFIG_HUSH_PARSER=y
 # CONFIG_CMD_ELF is not set
diff --git a/configs/imx28_xea_defconfig b/configs/imx28_xea_defconfig
index d4feb661629f..592f3e387cc0 100644
--- a/configs/imx28_xea_defconfig
+++ b/configs/imx28_xea_defconfig
@@ -22,6 +22,8 @@ CONFIG_SPL_TEXT_BASE=0x1000
 CONFIG_SPL_PAYLOAD="u-boot.img"
 CONFIG_FIT=y
 CONFIG_OF_BOARD_SETUP=y
+CONFIG_USE_BOOTARGS=y
+CONFIG_BOOTARGS="console=ttyAMA0,115200n8"
 CONFIG_BOARD_EARLY_INIT_F=y
 CONFIG_SPL_BOARD_INIT=y
 # CONFIG_SPL_RAW_IMAGE_SUPPORT is not set
diff --git a/configs/sama5d2_icp_mmc_defconfig b/configs/sama5d2_icp_mmc_defconfig
index dc4e815ec127..8f3efd81a032 100644
--- a/configs/sama5d2_icp_mmc_defconfig
+++ b/configs/sama5d2_icp_mmc_defconfig
@@ -25,6 +25,7 @@ CONFIG_SYS_EXTRA_OPTIONS="SAMA5D2"
 CONFIG_SD_BOOT=y
 CONFIG_BOOTDELAY=3
 CONFIG_USE_BOOTARGS=y
+CONFIG_BOOTARGS="console=ttyS0,115200 earlyprintk root=/dev/mmcblk0p2 rw rootwait"
 # CONFIG_DISPLAY_BOARDINFO is not set
 CONFIG_SPL_SEPARATE_BSS=y
 CONFIG_SPL_DISPLAY_PRINT=y
diff --git a/configs/socfpga_agilex_defconfig b/configs/socfpga_agilex_defconfig
index 35316d7c252f..60397a8ccea6 100644
--- a/configs/socfpga_agilex_defconfig
+++ b/configs/socfpga_agilex_defconfig
@@ -12,6 +12,8 @@ CONFIG_IDENT_STRING="socfpga_agilex"
 CONFIG_SPL_FS_FAT=y
 CONFIG_SPL_TEXT_BASE=0xFFE00000
 CONFIG_BOOTDELAY=5
+CONFIG_USE_BOOTARGS=y
+CONFIG_BOOTARGS="earlycon"
 CONFIG_SPL_CACHE=y
 CONFIG_SPL_SPI_LOAD=y
 CONFIG_HUSH_PARSER=y
diff --git a/configs/socfpga_secu1_defconfig b/configs/socfpga_secu1_defconfig
index df30c7c5f0e2..8ebbf73148a4 100644
--- a/configs/socfpga_secu1_defconfig
+++ b/configs/socfpga_secu1_defconfig
@@ -14,6 +14,8 @@ CONFIG_SPL_TEXT_BASE=0xFFFF0000
 CONFIG_BUILD_TARGET="u-boot-with-nand-spl.sfp"
 CONFIG_DISTRO_DEFAULTS=y
 CONFIG_FIT=y
+CONFIG_USE_BOOTARGS=y
+CONFIG_BOOTARGS="console=ttyS0,115200 ubi.fm_autoconvert=1 uio_pdrv_genirq.of_id=\"idq,regbank\""
 # CONFIG_USE_BOOTCOMMAND is not set
 CONFIG_SYS_CONSOLE_IS_IN_ENV=y
 CONFIG_SYS_CONSOLE_OVERWRITE_ROUTINE=y
diff --git a/configs/socfpga_stratix10_defconfig b/configs/socfpga_stratix10_defconfig
index 21014f9f8cde..16ae0feb6807 100644
--- a/configs/socfpga_stratix10_defconfig
+++ b/configs/socfpga_stratix10_defconfig
@@ -12,6 +12,8 @@ CONFIG_IDENT_STRING="socfpga_stratix10"
 CONFIG_SPL_FS_FAT=y
 CONFIG_SPL_TEXT_BASE=0xFFE00000
 CONFIG_BOOTDELAY=5
+CONFIG_USE_BOOTARGS=y
+CONFIG_BOOTARGS="earlycon"
 CONFIG_SPL_SPI_LOAD=y
 CONFIG_HUSH_PARSER=y
 CONFIG_SYS_PROMPT="SOCFPGA_STRATIX10 # "
diff --git a/configs/stmark2_defconfig b/configs/stmark2_defconfig
index 036ff707d19a..262f169d6cca 100644
--- a/configs/stmark2_defconfig
+++ b/configs/stmark2_defconfig
@@ -5,6 +5,8 @@ CONFIG_ENV_OFFSET=0x40000
 CONFIG_ENV_SECT_SIZE=0x10000
 CONFIG_TARGET_STMARK2=y
 CONFIG_SYS_EXTRA_OPTIONS="CF_SBF,SYS_SERIAL_BOOT,SYS_INPUT_CLKSRC=30000000"
+CONFIG_USE_BOOTARGS=y
+CONFIG_BOOTARGS="console=ttyS0,115200 root=/dev/ram0 rw rootfstype=ramfs rdinit=/bin/init devtmpfs.mount=1"
 # CONFIG_DISPLAY_BOARDINFO is not set
 CONFIG_HUSH_PARSER=y
 # CONFIG_CMDLINE_EDITING is not set
diff --git a/configs/wb45n_defconfig b/configs/wb45n_defconfig
index ef069a672cc2..0a0120fe5edf 100644
--- a/configs/wb45n_defconfig
+++ b/configs/wb45n_defconfig
@@ -15,6 +15,8 @@ CONFIG_SPL_TEXT_BASE=0x300000
 CONFIG_FIT=y
 CONFIG_SYS_EXTRA_OPTIONS="AT91SAM9X5,SYS_USE_NANDFLASH"
 CONFIG_BOOTDELAY=3
+CONFIG_USE_BOOTARGS=y
+CONFIG_BOOTARGS="console=ttyS0,115200 earlyprintk rw noinitrd mem=64M rootfstype=ubifs root=ubi0:rootfs ubi.mtd=6"
 CONFIG_BOARD_EARLY_INIT_F=y
 CONFIG_SPL_NAND_SUPPORT=y
 CONFIG_HUSH_PARSER=y
diff --git a/configs/wb50n_defconfig b/configs/wb50n_defconfig
index 1b444f07529d..b2f490a03c54 100644
--- a/configs/wb50n_defconfig
+++ b/configs/wb50n_defconfig
@@ -15,6 +15,8 @@ CONFIG_SPL_TEXT_BASE=0x300000
 CONFIG_FIT=y
 CONFIG_SYS_EXTRA_OPTIONS="SAMA5D3,SYS_USE_NANDFLASH"
 CONFIG_BOOTDELAY=3
+CONFIG_USE_BOOTARGS=y
+CONFIG_BOOTARGS="rw rootfstype=ubifs ubi.mtd=6 root=ubi0:rootfs"
 CONFIG_SPL_NAND_SUPPORT=y
 CONFIG_HUSH_PARSER=y
 CONFIG_CMD_BOOTZ=y
diff --git a/include/configs/grpeach.h b/include/configs/grpeach.h
index bde168d47505..67301fabeb62 100644
--- a/include/configs/grpeach.h
+++ b/include/configs/grpeach.h
@@ -29,9 +29,6 @@
 #define CONFIG_SYS_MALLOC_LEN		(1024 * 1024)
 #define CONFIG_SYS_MONITOR_LEN		(512 * 1024)
 
-/* Kernel Boot */
-#define CONFIG_BOOTARGS			"ignore_loglevel"
-
 /* Network interface */
 #define CONFIG_SH_ETHER_USE_PORT	0
 #define CONFIG_SH_ETHER_PHY_ADDR	0
diff --git a/include/configs/sama5d27_som1_ek.h b/include/configs/sama5d27_som1_ek.h
index 8e98254e2d39..4d66490cd68f 100644
--- a/include/configs/sama5d27_som1_ek.h
+++ b/include/configs/sama5d27_som1_ek.h
@@ -39,12 +39,6 @@
 				"bootz 0x22000000 - 0x21000000"
 #endif
 
-#ifdef CONFIG_QSPI_BOOT
-#undef CONFIG_BOOTARGS
-#define CONFIG_BOOTARGS \
-	"console=ttyS0,115200 earlyprintk root=/dev/mmcblk0p2 rw rootwait"
-#endif
-
 /* SPL */
 #define CONFIG_SPL_MAX_SIZE		0x10000
 #define CONFIG_SPL_BSS_START_ADDR	0x20000000
diff --git a/include/configs/sama5d2_icp.h b/include/configs/sama5d2_icp.h
index 2d1ba757fe74..7d6886ea73e1 100644
--- a/include/configs/sama5d2_icp.h
+++ b/include/configs/sama5d2_icp.h
@@ -44,9 +44,6 @@
 #define CONFIG_BOOTCOMMAND	"fatload mmc 0:1 0x21000000 at91-sama5d2_icp.dtb; " \
 				"fatload mmc 0:1 0x22000000 zImage; " \
 				"bootz 0x22000000 - 0x21000000"
-#undef CONFIG_BOOTARGS
-#define CONFIG_BOOTARGS \
-	"console=ttyS0,115200 earlyprintk root=/dev/mmcblk0p2 rw rootwait"
 #endif
 
 /* SPL */
diff --git a/include/configs/socfpga_arria5_secu1.h b/include/configs/socfpga_arria5_secu1.h
index ad4c3c0786c1..77914438bfa0 100644
--- a/include/configs/socfpga_arria5_secu1.h
+++ b/include/configs/socfpga_arria5_secu1.h
@@ -30,10 +30,6 @@
 /* Booting Linux */
 #define CONFIG_BOOTDELAY	2
 #define CONFIG_BOOTFILE		"zImage"
-#define CONFIG_BOOTARGS		\
-	"console=ttyS0," __stringify(CONFIG_BAUDRATE) \
-	" ubi.fm_autoconvert=1" \
-	" uio_pdrv_genirq.of_id=\"idq,regbank\""
 
 #define CONFIG_BOOTCOMMAND	\
 	"setenv bootcmd '"	\
diff --git a/include/configs/socfpga_soc64_common.h b/include/configs/socfpga_soc64_common.h
index 7237ec95e345..775a122f1f12 100644
--- a/include/configs/socfpga_soc64_common.h
+++ b/include/configs/socfpga_soc64_common.h
@@ -79,7 +79,6 @@ unsigned int cm_get_qspi_controller_clk_hz(void);
  * CONFIG_BOOTARGS goes into the environment value "bootargs".
  * Do note the value will override also the chosen node in FDT blob.
  */
-#define CONFIG_BOOTARGS "earlycon"
 #define CONFIG_BOOTCOMMAND "run fatscript; run mmcload;run linux_qspi_enable;" \
 			   "run mmcboot"
 
diff --git a/include/configs/stmark2.h b/include/configs/stmark2.h
index b5bfac77f1b1..d9c79907acdb 100644
--- a/include/configs/stmark2.h
+++ b/include/configs/stmark2.h
@@ -19,12 +19,6 @@
 
 #define CONFIG_TIMESTAMP
 
-#define CONFIG_BOOTARGS						\
-	"console=ttyS0,115200 root=/dev/ram0 rw "		\
-		"rootfstype=ramfs "				\
-		"rdinit=/bin/init "				\
-		"devtmpfs.mount=1"
-
 #define CONFIG_BOOTCOMMAND					\
 	"sf probe 0:1 50000000; "				\
 	"sf read ${loadaddr} 0x100000 ${kern_size}; "		\
diff --git a/include/configs/wb45n.h b/include/configs/wb45n.h
index 8b333de8cffd..6ae777507f8f 100644
--- a/include/configs/wb45n.h
+++ b/include/configs/wb45n.h
@@ -83,10 +83,6 @@
 #error No boot method selected, please select 'CONFIG_SYS_USE_NANDFLASH'
 #endif
 
-#define CONFIG_BOOTARGS     "console=ttyS0,115200 earlyprintk " \
-                            "rw noinitrd mem=64M "              \
-                            "rootfstype=ubifs root=ubi0:rootfs ubi.mtd=6"
-
 #define CONFIG_EXTRA_ENV_SETTINGS       \
     "_mtd=mtdparts default; setenv bootargs ${bootargs} ${mtdparts}\0" \
     "autoload=no\0" \
diff --git a/include/configs/wb50n.h b/include/configs/wb50n.h
index a210449dae49..c65e59134257 100644
--- a/include/configs/wb50n.h
+++ b/include/configs/wb50n.h
@@ -69,9 +69,6 @@
     "nand read 0x22000000 0x000e0000 0x500000; " \
     "bootm"
 
-#define CONFIG_BOOTARGS \
-    "rw rootfstype=ubifs ubi.mtd=6 root=ubi0:rootfs"
-
 #define CONFIG_SYS_CBSIZE           1024
 #define CONFIG_SYS_MAXARGS          16
 #define CONFIG_SYS_PBSIZE \
diff --git a/include/configs/xea.h b/include/configs/xea.h
index 65109566d3b8..144f62e8f980 100644
--- a/include/configs/xea.h
+++ b/include/configs/xea.h
@@ -43,7 +43,6 @@
 
 /* Booting Linux */
 #define CONFIG_BOOTFILE		"uImage"
-#define CONFIG_BOOTARGS		"console=ttyAMA0,115200n8 "
 #define CONFIG_BOOTCOMMAND	"run ${bootpri} ; run ${bootsec}"
 #define CONFIG_LOADADDR		0x42000000
 #define CONFIG_SYS_LOAD_ADDR	CONFIG_LOADADDR